import * as i0 from '@angular/core';
import { Injectable, Component, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common/http';
import { HttpClient } from '@angular/common/http';
import * as i15 from '@angular/common';
import { registerLocaleData } from '@angular/common';
import zh from '@angular/common/locales/zh';
import en from '@angular/common/locales/en';
import * as i3 from 'ng-zorro-antd/i18n';
import { en_US, zh_CN, NZ_I18N } from 'ng-zorro-antd/i18n';
import * as i2 from '@ngx-translate/core';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import * as i4 from 'ng-zorro-antd/modal';
import { NzModalModule } from 'ng-zorro-antd/modal';
import * as i5 from 'ng-zorro-antd/message';
import { NzMessageModule } from 'ng-zorro-antd/message';
import * as i6 from 'ng-zorro-antd/breadcrumb';
import { NzBreadCrumbModule } from 'ng-zorro-antd/breadcrumb';
import * as i7 from 'ng-zorro-antd/button';
import { NzButtonModule } from 'ng-zorro-antd/button';
import * as i8 from 'ng-zorro-antd/input-number';
import { NzInputNumberModule } from 'ng-zorro-antd/input-number';
import * as i9 from 'ng-zorro-antd/table';
import { NzTableModule } from 'ng-zorro-antd/table';
import * as i10 from 'ng-zorro-antd/select';
import { NzSelectModule } from 'ng-zorro-antd/select';
import * as i11 from 'ng-zorro-antd/core/wave';
import * as i12 from 'ng-zorro-antd/core/transition-patch';
import * as i13 from 'ng-zorro-antd/icon';
import { NzIconModule } from 'ng-zorro-antd/icon';
import * as i14 from '@angular/forms';
import { FormsModule } from '@angular/forms';
import * as i16 from 'ng-zorro-antd/input';
import { NzInputModule } from 'ng-zorro-antd/input';
import { TranslateHttpLoader } from '@ngx-translate/http-loader';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { CoreUiModule } from '@siemens/core-ui';

class EmailServiceConfigurationService {
    constructor(http) {
        this.http = http;
    }
    // 查询系统配置
    querySystemConfig() {
        return new Promise((resolve, reject) => {
            let url = 'http://69.230.198.232:20000/email/api/emailManager/querySystemConfig';
            this.http.get(url).subscribe((data) => {
                resolve(data);
            });
        });
    }
    // 保存系统配置
    saveSystemConfig(params) {
        return new Promise((resolve, reject) => {
            let url = 'http://69.230.198.232:20000/email/api/emailManager/saveSystemConfig';
            this.http.post(url, params).subscribe((data) => {
                resolve(data);
            });
        });
    }
    // 查询邮件服务器配置列表
    queryList() {
        return new Promise((resolve, reject) => {
            let url = 'http://69.230.198.232:20000/email/api/emailManager/queryList';
            this.http.get(url).subscribe((data) => {
                resolve(data);
            });
        });
    }
    // 新增邮件服务器配置
    addService(params) {
        return new Promise((resolve, reject) => {
            let url = 'http://69.230.198.232:20000/email/api/emailManager/add';
            this.http.post(url, params).subscribe((data) => {
                resolve(data);
            });
        });
    }
    // 修改邮件服务器配置
    updateService(params) {
        return new Promise((resolve, reject) => {
            let url = 'http://69.230.198.232:20000/email/api/emailManager/update';
            this.http.post(url, params).subscribe((data) => {
                resolve(data);
            });
        });
    }
    // 删除邮件服务器配置
    deleteService(code) {
        return new Promise((resolve, reject) => {
            let url = 'http://69.230.198.232:20000/email/api/emailManager/delete/' + code;
            this.http.post(url, {}).subscribe((data) => {
                resolve(data);
            });
        });
    }
    // 发送测试邮件
    testEmail(params) {
        return new Promise((resolve, reject) => {
            let url = 'http://69.230.198.232:20000/email/api/emailManager/testEmail';
            this.http.post(url, params).subscribe((data) => {
                resolve(data);
            });
        });
    }
}
EmailServiceConfigurationService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationService, deps: [{ token: i1.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable });
EmailServiceConfigurationService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }]; } });

class EmailServiceConfigurationComponent {
    constructor(emailServiceConfigurationService, translate, i18n, modal, message) {
        this.emailServiceConfigurationService = emailServiceConfigurationService;
        this.translate = translate;
        this.i18n = i18n;
        this.modal = modal;
        this.message = message;
        this.sendEmailTimeout = 300; // 有效时间
        this.sendEmailRetryInterval = 60; // 重发时间
        this.emailServiceList = []; // 邮件服务列表
        this.serviceDetail = {
            authEnable: false,
            starttlsEnable: false,
            sslEnable: false,
        }; // 邮件服务详情
        this.codeWarn = false; // code校验
        this.hostWarn = false; // 主机名校验
        this.portWarn = false; // 端口校验
        this.usernameWarn = false; // 发件方账户校验
        this.passwordWarn = false; // 授权码校验
        this.codeDisabled = false; // 禁止修改code
        this.serviceModalVisible = false; // 配置弹窗是否可见
        this.testModalVisible = false; // 测试弹窗是否可见
        this.testEmailCode = 0; // 测试邮箱标识码
        this.emailAddress = ''; // 测试邮箱地址
        this.emailTitle = ''; // 测试邮件标题
        this.emailContent = ''; // 测试邮件内容
        this.emailAddressWarn = false; // 测试邮箱地址验证
        this.emailTitleWarn = false; // 测试邮件标题验证
        this.emailContentWarn = false; // 测试邮件内容验证
    }
    ngOnInit() {
        if (this.language == 'en') {
            this.translate.use('zh');
            this.translate.use('en');
            this.i18n.setLocale(en_US);
            registerLocaleData(en);
        }
        else {
            this.translate.use('en');
            this.translate.use('zh');
            registerLocaleData(zh);
            this.i18n.setLocale(zh_CN);
        }
        this.emailServiceConfigurationService
            .querySystemConfig()
            .then((res) => {
            if (res.code == 200 && res.data) {
                this.sendEmailTimeout = res.data.sendEmailTimeout;
                this.sendEmailRetryInterval = res.data.sendEmailRetryInterval;
            }
        });
        this.searchServiceList();
    }
    // 保存系统配置
    saveSystemConfig() {
        this.emailServiceConfigurationService
            .saveSystemConfig({
            sendEmailTimeout: this.sendEmailTimeout,
            sendEmailRetryInterval: this.sendEmailRetryInterval,
        })
            .then((res) => {
            if (res.code == 200) {
                this.message.success(this.translate.instant('emailServiceConfiguration.saveConfigSuccess'));
            }
            else {
                this.message.error(this.translate.instant('emailServiceConfiguration.saveConfigFail'));
            }
        });
    }
    // 查询邮件服务列表
    searchServiceList() {
        this.emailServiceConfigurationService.queryList().then((res) => {
            if (res.code == 200) {
                this.emailServiceList = res.data;
            }
        });
    }
    // 打开新增服务弹窗
    openAddModal() {
        this.codeDisabled = false;
        this.serviceModalVisible = true;
    }
    // 保存服务
    saveService() {
        if (!this.serviceDetail.code) {
            this.codeWarn = true;
        }
        if (!this.serviceDetail.host) {
            this.hostWarn = true;
        }
        if (!this.serviceDetail.port && this.serviceDetail.port != 0) {
            this.portWarn = true;
        }
        let reg = /[a-zA-Z0-9]+([-_.][A-Za-zd]+)*@([a-zA-Z0-9]+[-.])+[A-Za-zd]{2,5}$/;
        if (!this.serviceDetail.username ||
            !reg.test(this.serviceDetail.username)) {
            this.usernameWarn = true;
        }
        if (this.serviceDetail.authEnable && !this.serviceDetail.password) {
            this.passwordWarn = true;
        }
        if (!this.codeWarn &&
            !this.hostWarn &&
            !this.portWarn &&
            !this.usernameWarn &&
            !this.passwordWarn) {
            if (this.codeDisabled) {
                this.emailServiceConfigurationService
                    .updateService(this.serviceDetail)
                    .then((res) => {
                    if (res.code == 200) {
                        this.message.success(this.translate.instant('emailServiceConfiguration.updateServiceSuccess'));
                        this.serviceModalVisible = false;
                        this.searchServiceList();
                    }
                    else {
                        this.message.error(this.translate.instant('emailServiceConfiguration.updateServiceFail'));
                    }
                });
            }
            else {
                this.emailServiceConfigurationService
                    .addService(this.serviceDetail)
                    .then((res) => {
                    if (res.code == 200) {
                        this.message.success(this.translate.instant('emailServiceConfiguration.addServiceSuccess'));
                        this.serviceModalVisible = false;
                        this.searchServiceList();
                    }
                    else {
                        this.message.error(this.translate.instant('emailServiceConfiguration.addServiceFail'));
                    }
                });
            }
        }
    }
    // 打开编辑配置弹窗
    openEditModal(data) {
        this.serviceDetail = data;
        this.codeDisabled = true;
        this.serviceModalVisible = true;
    }
    // 关闭配置弹窗
    closeServiceModal() {
        this.serviceModalVisible = false;
        this.serviceDetail = {
            authEnable: false,
            starttlsEnable: false,
            sslEnable: false,
        };
        this.codeWarn = false;
        this.hostWarn = false;
        this.portWarn = false;
        this.usernameWarn = false;
        this.passwordWarn = false;
    }
    // 打开测试弹窗
    openTestModal(data) {
        this.testEmailCode = data.code;
        this.testModalVisible = true;
    }
    // 关闭测试弹窗
    closeTestModal() {
        this.emailAddress = '';
        this.emailTitle = '';
        this.emailContent = '';
        this.emailAddressWarn = false;
        this.testModalVisible = false;
    }
    // 发送测试邮件
    testEmail() {
        let reg = /[a-zA-Z0-9]+([-_.][A-Za-zd]+)*@([a-zA-Z0-9]+[-.])+[A-Za-zd]{2,5}$/;
        if (!this.emailAddress || !reg.test(this.emailAddress)) {
            this.emailAddressWarn = true;
        }
        if (!this.emailTitle) {
            this.emailTitleWarn = true;
        }
        if (!this.emailContent) {
            this.emailContentWarn = true;
        }
        if (!this.emailAddressWarn &&
            !this.emailTitleWarn &&
            !this.emailContentWarn) {
            this.emailServiceConfigurationService
                .testEmail({
                code: this.testEmailCode,
                targetEmails: [this.emailAddress],
                subject: this.emailTitle,
                text: this.emailContent,
            })
                .then((res) => {
                if (res.code == 200) {
                    this.message.success(this.translate.instant('emailServiceConfiguration.sendEmailSuccess'));
                    this.closeTestModal();
                }
                else {
                    this.message.error(this.translate.instant('emailServiceConfiguration.sendEmailFail'));
                }
            });
        }
    }
    // 删除邮件服务
    deleteService(data) {
        this.modal.confirm({
            nzTitle: this.translate.instant('emailServiceConfiguration.deleteServiceTitle'),
            nzOnOk: () => {
                this.emailServiceConfigurationService
                    .deleteService(data.code)
                    .then((res) => {
                    if (res.code == 200) {
                        this.message.success(this.translate.instant('emailServiceConfiguration.deleteServiceSuccess'));
                        this.searchServiceList();
                    }
                    else {
                        this.message.error(this.translate.instant('emailServiceConfiguration.deleteServiceFail'));
                    }
                });
            },
        });
    }
}
EmailServiceConfigurationComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationComponent, deps: [{ token: EmailServiceConfigurationService }, { token: i2.TranslateService }, { token: i3.NzI18nService }, { token: i4.NzModalService }, { token: i5.NzMessageService }], target: i0.ɵɵFactoryTarget.Component });
EmailServiceConfigurationComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: EmailServiceConfigurationComponent, selector: "ngx-email-service-configuration", inputs: { language: "language" }, ngImport: i0, template: "<div class=\"bg\">\r\n  <div\r\n    style=\"\r\n      background: rgba(235, 240, 245, 1);\r\n      z-index: 2;\r\n      padding-top: 0.625rem;\r\n    \"\r\n  >\r\n    <nz-breadcrumb nzSeparator=\">\" class=\"breadcrumb-div\">\r\n      <nz-breadcrumb-item style=\"display: inline-flex\">\r\n        <div\r\n          class=\"breadcrumb-overview\"\r\n          style=\"cursor: pointer\"\r\n          routerLink=\"/entrance-iot\"\r\n        >\r\n          <span class=\"breadcrumb-overview-text\">{{\r\n            \"engineering.breadcrumb1\" | translate\r\n          }}</span>\r\n        </div>\r\n      </nz-breadcrumb-item>\r\n      <nz-breadcrumb-item class=\"breadcrumb-ticketno-overview\">{{\r\n        \"engineering.breadcrumb2\" | translate\r\n      }}</nz-breadcrumb-item>\r\n      <nz-breadcrumb-item class=\"breadcrumb-ticketno-overview\">{{\r\n        \"engineering.module7.title\" | translate\r\n      }}</nz-breadcrumb-item>\r\n      <nz-breadcrumb-item class=\"breadcrumb-ticketno-overview\">{{\r\n        \"engineering.module7.item1\" | translate\r\n      }}</nz-breadcrumb-item>\r\n    </nz-breadcrumb>\r\n    <div class=\"title-div\">\r\n      <div class=\"title-div-overview\">\r\n        <div class=\"overview-title\">\r\n          {{ \"emailServiceConfiguration.title\" | translate }}\r\n        </div>\r\n        <div class=\"overview-subtitle\">\r\n          {{ \"emailServiceConfiguration.subtitle\" | translate }}\r\n        </div>\r\n      </div>\r\n      <div class=\"title-div-configuration\">\r\n        <i class=\"glyph glyph-mail\" style=\"color: #0f8287\"></i>\r\n        <div class=\"title-configuration\">\r\n          {{ \"emailServiceConfiguration.configuration\" | translate }}\r\n        </div>\r\n      </div>\r\n      <div class=\"title-div-list\" routerLinkActive=\"router-link-active\">\r\n        <i class=\"glyph glyph-list\"></i>\r\n        <div class=\"title-list\">\r\n          {{ \"emailServiceConfiguration.list\" | translate }}\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <div class=\"email-service-configuration\">\r\n    <div class=\"email-service-configuration-operation\">\r\n      <button\r\n        nz-button\r\n        nzType=\"primary\"\r\n        (click)=\"openAddModal()\"\r\n        style=\"margin-right: 20px\"\r\n      >\r\n        <i nz-icon nzType=\"plus\" nzTheme=\"outline\"></i>\r\n        {{ \"emailServiceConfiguration.addService\" | translate }}\r\n      </button>\r\n      <div>\r\n        <div class=\"email-service-configuration-operation-label\">\r\n          {{ \"emailServiceConfiguration.effectiveTime\" | translate }}\r\n        </div>\r\n        <nz-input-number\r\n          style=\"width: 200px\"\r\n          [nzMin]=\"1\"\r\n          [(ngModel)]=\"sendEmailTimeout\"\r\n        >\r\n        </nz-input-number>\r\n      </div>\r\n      <div style=\"margin: 0 10px\">\r\n        <div class=\"email-service-configuration-operation-label\">\r\n          {{ \"emailServiceConfiguration.resendInterval\" | translate }}\r\n        </div>\r\n        <nz-input-number\r\n          style=\"width: 200px\"\r\n          [nzMin]=\"1\"\r\n          [(ngModel)]=\"sendEmailRetryInterval\"\r\n        >\r\n        </nz-input-number>\r\n      </div>\r\n      <button nz-button (click)=\"saveSystemConfig()\">\r\n        <i nz-icon nzType=\"check\" nzTheme=\"outline\"></i>\r\n      </button>\r\n    </div>\r\n    <nz-table\r\n      style=\"height: calc(100% - 75px)\"\r\n      #serverList\r\n      [nzFrontPagination]=\"false\"\r\n      [nzData]=\"emailServiceList\"\r\n    >\r\n      <thead>\r\n        <tr>\r\n          <th>{{ \"emailServiceConfiguration.code\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.hostName\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.port\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.senderAddress\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.displayName\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.password\" | translate }}</th>\r\n          <th>\r\n            {{ \"emailServiceConfiguration.timeout\" | translate }}\r\n          </th>\r\n          <th>{{ \"emailServiceConfiguration.authEnable\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.starttlsEnable\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.sslEnable\" | translate }}</th>\r\n          <th>{{ \"emailServiceConfiguration.operation\" | translate }}</th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr *ngFor=\"let data of serverList.data\">\r\n          <td>{{ data.code }}</td>\r\n          <td>{{ data.host }}</td>\r\n          <td>{{ data.port }}</td>\r\n          <td>{{ data.username }}</td>\r\n          <td>{{ data.displayName }}</td>\r\n          <td>{{ data.password }}</td>\r\n          <td>{{ data.connectionTimeout }}</td>\r\n          <td>\r\n            {{ \"emailServiceConfiguration.\" + data.authEnable | translate }}\r\n          </td>\r\n          <td>\r\n            {{ \"emailServiceConfiguration.\" + data.starttlsEnable | translate }}\r\n          </td>\r\n          <td>\r\n            {{ \"emailServiceConfiguration.\" + data.sslEnable | translate }}\r\n          </td>\r\n          <td>\r\n            <img\r\n              src=\"/assets/images/pen-pen.svg\"\r\n              style=\"cursor: pointer\"\r\n              (click)=\"openEditModal(data)\"\r\n            />\r\n            <img\r\n              src=\"/assets/images/e-mail-e-mail.svg\"\r\n              style=\"cursor: pointer; margin: 0 5px\"\r\n              (click)=\"openTestModal(data)\"\r\n            />\r\n            <img\r\n              src=\"/assets/images/trashcan-trashcan.svg\"\r\n              style=\"cursor: pointer\"\r\n              (click)=\"deleteService(data)\"\r\n            />\r\n          </td>\r\n        </tr>\r\n      </tbody>\r\n    </nz-table>\r\n  </div>\r\n</div>\r\n<nz-modal\r\n  [nzVisible]=\"serviceModalVisible\"\r\n  [nzTitle]=\"'emailServiceConfiguration.configuration' | translate\"\r\n  nzWidth=\"600\"\r\n  (nzOnOk)=\"saveService()\"\r\n  (nzOnCancel)=\"closeServiceModal()\"\r\n>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.code\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"codeWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.codeWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.code\"\r\n    (ngModelChange)=\"codeWarn = false\"\r\n    [disabled]=\"codeDisabled\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.hostName\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"hostWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.hostNameWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.host\"\r\n    (ngModelChange)=\"hostWarn = false\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.port\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"portWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.portWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <nz-input-number\r\n    style=\"margin-bottom: 15px; width: 100%\"\r\n    [nzMin]=\"0\"\r\n    [(ngModel)]=\"serviceDetail.port\"\r\n    (ngModelChange)=\"portWarn = false\"\r\n  ></nz-input-number>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.senderAddress\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"usernameWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.senderAddressWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.username\"\r\n    (ngModelChange)=\"usernameWarn = false\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.displayName\" | translate }}\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.displayName\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.password\" | translate }}\r\n    <span\r\n      *ngIf=\"serviceDetail.authEnable\"\r\n      style=\"color: #dc0031; margin-right: 5px\"\r\n    >\r\n      *\r\n    </span>\r\n    <span *ngIf=\"passwordWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.passwordWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.password\"\r\n    (ngModelChange)=\"passwordWarn = false\"\r\n  />\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.timeout\" | translate }}\r\n  </div>\r\n  <nz-input-number\r\n    style=\"margin-bottom: 15px; width: 100%\"\r\n    [nzMin]=\"0\"\r\n    [(ngModel)]=\"serviceDetail.connectionTimeout\"\r\n  ></nz-input-number>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.authEnable\" | translate }}\r\n  </div>\r\n  <nz-select\r\n    style=\"width: 100%; margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.authEnable\"\r\n    (ngModelChange)=\"passwordWarn = false\"\r\n  >\r\n    <nz-option\r\n      [nzValue]=\"true\"\r\n      [nzLabel]=\"'emailServiceConfiguration.true' | translate\"\r\n    >\r\n    </nz-option>\r\n    <nz-option\r\n      [nzValue]=\"false\"\r\n      [nzLabel]=\"'emailServiceConfiguration.false' | translate\"\r\n    >\r\n    </nz-option>\r\n  </nz-select>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.starttlsEnable\" | translate }}\r\n  </div>\r\n  <nz-select\r\n    style=\"width: 100%; margin-bottom: 15px\"\r\n    [(ngModel)]=\"serviceDetail.starttlsEnable\"\r\n  >\r\n    <nz-option\r\n      [nzValue]=\"true\"\r\n      [nzLabel]=\"'emailServiceConfiguration.true' | translate\"\r\n    >\r\n    </nz-option>\r\n    <nz-option\r\n      [nzValue]=\"false\"\r\n      [nzLabel]=\"'emailServiceConfiguration.false' | translate\"\r\n    >\r\n    </nz-option>\r\n  </nz-select>\r\n  <div class=\"configuration-modal-label\">\r\n    {{ \"emailServiceConfiguration.sslEnable\" | translate }}\r\n  </div>\r\n  <nz-select style=\"width: 100%\" [(ngModel)]=\"serviceDetail.sslEnable\">\r\n    <nz-option\r\n      [nzValue]=\"true\"\r\n      [nzLabel]=\"'emailServiceConfiguration.true' | translate\"\r\n    >\r\n    </nz-option>\r\n    <nz-option\r\n      [nzValue]=\"false\"\r\n      [nzLabel]=\"'emailServiceConfiguration.false' | translate\"\r\n    >\r\n    </nz-option>\r\n  </nz-select>\r\n</nz-modal>\r\n<nz-modal\r\n  [nzVisible]=\"testModalVisible\"\r\n  [nzTitle]=\"'emailServiceConfiguration.test' | translate\"\r\n  nzWidth=\"600\"\r\n  (nzOnOk)=\"testEmail()\"\r\n  (nzOnCancel)=\"closeTestModal()\"\r\n>\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.address\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"emailAddressWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.emailAddressWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"emailAddress\"\r\n    (ngModelChange)=\"emailAddressWarn = false\"\r\n  />\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.emailTitle\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"emailTitleWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.emailTitleWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <input\r\n    nz-input\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"emailTitle\"\r\n    (ngModelChange)=\"emailTitleWarn = false\"\r\n  />\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.emailContent\" | translate }}\r\n    <span style=\"color: #dc0031; margin-right: 5px\">*</span>\r\n    <span *ngIf=\"emailContentWarn\" style=\"color: #dc0031\">{{\r\n      \"emailServiceConfiguration.emailContentWarn\" | translate\r\n    }}</span>\r\n  </div>\r\n  <textarea\r\n    nz-input\r\n    rows=\"4\"\r\n    style=\"margin-bottom: 15px\"\r\n    [(ngModel)]=\"emailContent\"\r\n    (ngModelChange)=\"emailContentWarn = false\"\r\n  ></textarea>\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.note\" | translate }}\r\n  </div>\r\n  <div class=\"test-modal-label\">\r\n    {{ \"emailServiceConfiguration.noteInfo\" | translate }}\r\n  </div>\r\n</nz-modal>\r\n", styles: [".bg{position:absolute;width:90.1rem;height:calc(100% - 55px);margin:0 auto;background-color:#edf0f2;left:4.55rem;top:1.975rem;overflow-x:hidden;overflow-y:auto}.breadcrumb-div{height:1.6rem;line-height:1.6rem}.breadcrumb-overview{height:1.6rem;line-height:1.6rem;border-radius:.2rem;background-color:#ced9e2;text-align:center}.breadcrumb-overview-text{height:1rem;font-size:.7rem;font-weight:bold;font-stretch:normal;font-style:normal;letter-spacing:normal;color:#000000bf}.breadcrumb-conti-overview{width:9.8rem;height:1.6rem;line-height:1.6rem;border-radius:.2rem;padding-left:.75rem;margin-left:-1.25rem;background-color:#ced9e2;text-align:center;cursor:pointer}.breadcrumb-ticketno-overview{font-size:.7rem;font-weight:normal;font-stretch:normal;font-style:normal;letter-spacing:normal;color:#000000bf}:host ::ng-deep .ant-breadcrumb-separator{z-index:1;margin-left:.75rem;font-weight:900}.title-div{display:table;width:90.1rem;margin-top:.2rem;padding-bottom:.625rem}.title-div-overview{display:table-cell;vertical-align:bottom}.title-div-configuration{display:table-cell;text-align:center;width:4rem;vertical-align:middle;padding-right:1rem}.title-div-list{display:table-cell;text-align:center;width:4rem;vertical-align:middle;cursor:pointer}.overview-title{height:1.5rem;font-size:1.3rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;color:#000}.overview-subtitle{height:.95rem;font-size:.8rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;color:#0009;margin-top:.15rem}.title-configuration{font-size:.7rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;text-align:center;color:#0f8287;margin-top:.25rem}.title-list{font-size:.7rem;font-weight:bold;font-stretch:normal;font-style:normal;line-height:normal;letter-spacing:normal;text-align:center;margin-top:.25rem;color:#000000d9}.email-service-configuration{width:100%;height:calc(100% - 135px);overflow:hidden;position:relative}.email-service-configuration-operation{display:flex;align-items:flex-end;margin:5px 0 15px}.email-service-configuration-operation-label{font-size:12px;margin-bottom:5px;display:flex;align-items:center}.email-service-configuration-body{width:100%;height:calc(100% - 45px);overflow-x:hidden;overflow-y:auto}.configuration-modal-label{font-size:12px;margin-bottom:5px;color:#0000008c}.test-modal-label{font-size:12px;line-height:1.5;color:#0000008c;display:flex;align-items:center}\n"], components: [{ type: i6.NzBreadCrumbComponent, selector: "nz-breadcrumb", inputs: ["nzAutoGenerate", "nzSeparator", "nzRouteLabel", "nzRouteLabelFn"], exportAs: ["nzBreadcrumb"] }, { type: i6.NzBreadCrumbItemComponent, selector: "nz-breadcrumb-item", inputs: ["nzOverlay"], exportAs: ["nzBreadcrumbItem"] }, { type: i7.NzButtonComponent, selector: "button[nz-button], a[nz-button]", inputs: ["nzBlock", "nzGhost", "nzSearch", "nzLoading", "nzDanger", "disabled", "tabIndex", "nzType", "nzShape", "nzSize"], exportAs: ["nzButton"] }, { type: i8.NzInputNumberComponent, selector: "nz-input-number", inputs: ["nzSize", "nzMin", "nzMax", "nzParser", "nzPrecisionMode", "nzPlaceHolder", "nzStep", "nzInputMode", "nzId", "nzDisabled", "nzAutoFocus", "nzFormatter", "nzPrecision"], outputs: ["nzBlur", "nzFocus"], exportAs: ["nzInputNumber"] }, { type: i9.NzTableComponent, selector: "nz-table", inputs: ["nzTableLayout", "nzShowTotal", "nzItemRender", "nzTitle", "nzFooter", "nzNoResult", "nzPageSizeOptions", "nzVirtualItemSize", "nzVirtualMaxBufferPx", "nzVirtualMinBufferPx", "nzVirtualForTrackBy", "nzLoadingDelay", "nzPageIndex", "nzPageSize", "nzTotal", "nzWidthConfig", "nzData", "nzPaginationPosition", "nzScroll", "nzPaginationType", "nzFrontPagination", "nzTemplateMode", "nzShowPagination", "nzLoading", "nzOuterBordered", "nzLoadingIndicator", "nzBordered", "nzSize", "nzShowSizeChanger", "nzHideOnSinglePage", "nzShowQuickJumper", "nzSimple"], outputs: ["nzPageSizeChange", "nzPageIndexChange", "nzQueryParams", "nzCurrentPageDataChange"], exportAs: ["nzTable"] }, { type: i9.NzTheadComponent, selector: "thead:not(.ant-table-thead)", outputs: ["nzSortOrderChange"] }, { type: i9.NzTbodyComponent, selector: "tbody" }, { type: i4.NzModalComponent, selector: "nz-modal", inputs: ["nzVisible", "nzClosable", "nzOkLoading", "nzOkDisabled", "nzCancelDisabled", "nzCancelLoading", "nzKeyboard", "nzNoAnimation", "nzCentered", "nzZIndex", "nzWidth", "nzCloseIcon", "nzOkType", "nzOkDanger", "nzIconType", "nzModalType", "nzAutofocus", "nzOnOk", "nzOnCancel", "nzTitle", "nzFooter", "nzMask", "nzMaskClosable", "nzCloseOnNavigation", "nzContent", "nzComponentParams", "nzWrapClassName", "nzClassName", "nzStyle", "nzMaskStyle", "nzBodyStyle", "nzOkText", "nzCancelText"], outputs: ["nzOnOk", "nzOnCancel", "nzAfterOpen", "nzAfterClose", "nzVisibleChange"], exportAs: ["nzModal"] }, { type: i10.NzSelectComponent, selector: "nz-select", inputs: ["nzId", "nzSize", "nzOptionHeightPx", "nzOptionOverflowSize", "nzDropdownClassName", "nzDropdownMatchSelectWidth", "nzDropdownStyle", "nzNotFoundContent", "nzPlaceHolder", "nzMaxTagCount", "nzDropdownRender", "nzCustomTemplate", "nzSuffixIcon", "nzClearIcon", "nzRemoveIcon", "nzMenuItemSelectedIcon", "nzTokenSeparators", "nzMaxTagPlaceholder", "nzMaxMultipleCount", "nzMode", "nzFilterOption", "compareWith", "nzAllowClear", "nzBorderless", "nzShowSearch", "nzLoading", "nzAutoFocus", "nzAutoClearSearchValue", "nzServerSearch", "nzDisabled", "nzOpen", "nzBackdrop", "nzOptions", "nzShowArrow"], outputs: ["nzOnSearch", "nzScrollToBottom", "nzOpenChange", "nzBlur", "nzFocus"], exportAs: ["nzSelect"] }, { type: i10.NzOptionComponent, selector: "nz-option", inputs: ["nzLabel", "nzValue", "nzDisabled", "nzHide", "nzCustomContent"], exportAs: ["nzOption"] }], directives: [{ type: i11.NzWaveDirective, selector: "[nz-wave],button[nz-button]:not([nzType=\"link\"]):not([nzType=\"text\"])", inputs: ["nzWaveExtraNode"], exportAs: ["nzWave"] }, { type: i12.ɵNzTransitionPatchDirective, selector: "[nz-button], nz-button-group, [nz-icon], [nz-menu-item], [nz-submenu], nz-select-top-control, nz-select-placeholder, nz-input-group", inputs: ["hidden"] }, { type: i13.NzIconDirective, selector: "[nz-icon]", inputs: ["nzRotate", "nzSpin", "nzType", "nzTheme", "nzTwotoneColor", "nzIconfont"], exportAs: ["nzIcon"] }, { type: i14.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i14.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i9.NzTrDirective, selector: "tr:not([mat-row]):not([mat-header-row]):not([nz-table-measure-row]):not([nzExpand]):not([nz-table-fixed-row])" }, { type: i9.NzTableCellDirective, selector: "th:not(.nz-disable-th):not([mat-cell]), td:not(.nz-disable-td):not([mat-cell])" }, { type: i9.NzThMeasureDirective, selector: "th", inputs: ["nzWidth", "colspan", "colSpan", "rowspan", "rowSpan"] }, { type: i15.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i15.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i16.NzInputDirective, selector: "input[nz-input],textarea[nz-input]", inputs: ["nzBorderless", "nzSize", "disabled"], exportAs: ["nzInput"] }, { type: i14.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }], pipes: { "translate": i2.TranslatePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ngx-email-service-configuration',
                    templateUrl: './email-service-configuration.component.html',
                    styleUrls: ['./email-service-configuration.component.scss'],
                }]
        }], ctorParameters: function () { return [{ type: EmailServiceConfigurationService }, { type: i2.TranslateService }, { type: i3.NzI18nService }, { type: i4.NzModalService }, { type: i5.NzMessageService }]; }, propDecorators: { language: [{
                type: Input
            }] } });

registerLocaleData(zh);
function HttpLoaderFactory(httpClient) {
    return new TranslateHttpLoader(httpClient);
}
class EmailServiceConfigurationModule {
}
EmailServiceConfigurationModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
EmailServiceConfigurationModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationModule, declarations: [EmailServiceConfigurationComponent], imports: [BrowserModule,
        BrowserAnimationsModule,
        CoreUiModule,
        FormsModule, i2.TranslateModule, NzInputModule,
        NzBreadCrumbModule,
        NzInputNumberModule,
        NzTableModule,
        NzModalModule,
        NzSelectModule,
        NzMessageModule,
        NzButtonModule,
        NzIconModule], exports: [EmailServiceConfigurationComponent] });
EmailServiceConfigurationModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationModule, providers: [{ provide: NZ_I18N, useValue: zh_CN }], imports: [[
            BrowserModule,
            BrowserAnimationsModule,
            CoreUiModule,
            FormsModule,
            TranslateModule.forRoot({
                loader: {
                    provide: TranslateLoader,
                    useFactory: HttpLoaderFactory,
                    deps: [HttpClient],
                },
            }),
            NzInputModule,
            NzBreadCrumbModule,
            NzInputNumberModule,
            NzTableModule,
            NzModalModule,
            NzSelectModule,
            NzMessageModule,
            NzButtonModule,
            NzIconModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: EmailServiceConfigurationModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [EmailServiceConfigurationComponent],
                    imports: [
                        BrowserModule,
                        BrowserAnimationsModule,
                        CoreUiModule,
                        FormsModule,
                        TranslateModule.forRoot({
                            loader: {
                                provide: TranslateLoader,
                                useFactory: HttpLoaderFactory,
                                deps: [HttpClient],
                            },
                        }),
                        NzInputModule,
                        NzBreadCrumbModule,
                        NzInputNumberModule,
                        NzTableModule,
                        NzModalModule,
                        NzSelectModule,
                        NzMessageModule,
                        NzButtonModule,
                        NzIconModule,
                    ],
                    exports: [EmailServiceConfigurationComponent],
                    providers: [{ provide: NZ_I18N, useValue: zh_CN }],
                }]
        }] });

/*
 * Public API Surface of email-service-configuration
 */

/**
 * Generated bundle index. Do not edit.
 */

export { EmailServiceConfigurationComponent, EmailServiceConfigurationModule, EmailServiceConfigurationService, HttpLoaderFactory };
//# sourceMappingURL=email-service-configuration.js.map
